boost::geometry::ever_circling_range_iterator< Range > Struct Template Reference

List of all members.

## Public Types

typedef std::ptrdiff_t | difference_type

## Public Member Functions

| ever_circling_range_iterator (Range &range)
| Constructor including the range it is based on.
| ever_circling_range_iterator ()
| Default constructor.

## Friends

class | boost::iterator_core_access

### template<typename Range>
struct boost::geometry::ever_circling_range_iterator< Range >

## Member Typedef Documentation

template<typename Range >

typedef std::ptrdiff_t boost::geometry::ever_circling_range_iterator< Range >::difference_type

## Constructor & Destructor Documentation

template<typename Range >

boost::geometry::ever_circling_range_iterator< Range >::ever_circling_range_iterator | ( | Range & | range | ) | `[explicit]`

Constructor including the range it is based on.

template<typename Range >

boost::geometry::ever_circling_range_iterator< Range >::ever_circling_range_iterator | ( |  | ) | `[explicit]`

Default constructor.

## Friends And Related Function Documentation

template<typename Range >

friend class boost::iterator_core_access`[friend]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK